# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['dezoom', 'dezoom.cerebrum', 'dezoom.zoom', 'dezoom.zoom.v2']

package_data = \
{'': ['*']}

install_requires = \
['cerebrum-client @ '
 'git+https://bitbucket.usit.uio.no/scm/crb/cerebrum-client.git@v1.9.2',
 'pydantic>=1.2,<2.0',
 'result>=0.6.0,<0.7.0',
 'tofh @ git+https://bitbucket.usit.uio.no/scm/int/tofh.git@v2.7.0']

extras_require = \
{'lint': ['black==19.10b0', 'mypy==0.812'],
 'test': ['mock>=4.0.3,<5.0.0', 'pytest>=6,<7', 'requests_mock>=1.8,<2.0']}

entry_points = \
{'console_scripts': ['dezoom = dezoom.cli:main']}

setup_kwargs = {
    'name': 'dezoom',
    'version': '0.0.0',
    'description': 'Microservice to deprovision Zoom video conferencing accounts',
    'long_description': 'None',
    'author': 'USIT',
    'author_email': 'bnt-int@usit.uio.no',
    'maintainer': 'None',
    'maintainer_email': 'None',
    'url': 'None',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'extras_require': extras_require,
    'entry_points': entry_points,
    'python_requires': '>=3.9,<4.0',
}


setup(**setup_kwargs)
